Subject: Re: Linux kernel 3.x problems on PowerMac G5

From: Phileas Fogg <[email-masked]>
Date: Mon, 11 Mar 2013 20:31:29 +0100

On 03/10/2013 01:52 PM, Benjamin Herrenschmidt wrote:
> On Sun, 2013-03-10 at 11:53 +0100, Phileas Fogg wrote:
>> Good news :) I found the bug.
>> MMU features were not set properly for PPC970MP DD1.0 which,
>> unfortunately, my machine has.
>> Damn, one line fix but one week searching.
>> Linux 3.8.2 boots without problems now :)
>
> Nice one ! I didn't think anybody shipped a DD1.0 chip ! :-)
>
> Looks like some typo/thinko in the cputable and you are one of the very
> rare victims of it. I'll fix that up. Regarding the IDE problem, can you
> shoot a note to Tejun who wrote that patch (and CC me) ? I do recommend
> switching to libata but we should still fix the problem with legacy IDE.
>
> Cheers,
> Ben.
>
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>

The IDE-CD bug appears to be already fixed. I tested g5_defconfig with 
Linux 3.8.2 and it boots OK. I think i saw a commit regarding this issue 
in git.

Regards